| Home | Libraries | People | FAQ | More

### const_buffer

Holds a buffer that cannot be modified.

    class const_buffer

##### Member Functions

Name | Description
--- | ---
const_buffer | Construct an empty buffer. Construct a buffer to represent a given memory range. Construct a non-modifiable buffer from a modifiable one.

##### Related Functions

Name | Description
--- | ---
buffer_cast | Cast a non-modifiable buffer to a specified pointer to POD type.
buffer_size | Get the number of bytes in a non-modifiable buffer.
operator+ | Create a new non-modifiable buffer that is offset from the start of another.

The const_buffer class provides a safe representation of a buffer that cannot be modified. It does not own the underlying data, and so is cheap to copy or assign.